<!--<dynamic-form-component [questions]="formFields"></dynamic-form-component>-->
<form [formGroup]="courseForm" (ngSubmit)="addEditCourse()">
  <mat-card class="form-container">
    <mat-card-header>
      <mat-card-title>{{formTitle}}</mat-card-title>
    </mat-card-header>

    <mat-form-field>
      <textarea matInput placeholder="ID" formControlName="id"></textarea>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput placeholder="Code" formControlName="code"></textarea>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput placeholder="Title" formControlName="title"></textarea>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput placeholder="courseType" formControlName="courseType"></textarea>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput placeholder="Description" formControlName="description"></textarea>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput placeholder="State" formControlName="state"></textarea>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput placeholder="Start Date" formControlName="startDate"></textarea>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput placeholder="End Date" formControlName="endDate"></textarea>
    </mat-form-field>

    <div class="command-btn-container" fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="10px">
      <button mat-raised-button color="primary">{{submitBtnText}}</button>
      <button mat-raised-button color="basic" (click)="backToHostManage()">Cancel</button>
    </div>
  </mat-card>
</form>
